import { IAuthenticationResult } from '../types';
/**
 * Handles confirm Cognito MFA code event (two-step signin)
 * @param code user MFA code used to signin
 * @param userName the user to confirm
 * @returns See {@link IAuthenticationResult}
 */
export declare const OnConfirmMfaCode: (code: string, userName: string) => Promise<IAuthenticationResult>;
export default OnConfirmMfaCode;
//# sourceMappingURL=OnConfirmMfaCode.d.ts.map