import { IAuthenticationResult } from '../types';
/**
 * Confirm change password flow started by {@link OnForgotPassword}
 * @param code user code used to confirm account
 * @param userName the user to confirm
 * @param newPassword the new password for user
 * @returns See {@link IAuthenticationResult}
 */
export declare const OnConfirmPassword: (code: string, userName: string, newPassword: string) => Promise<IAuthenticationResult>;
export default OnConfirmPassword;
//# sourceMappingURL=OnConfirmPassword.d.ts.map