import { IAuthenticationResult } from '../types';
/**
 * Handles confirm Cognito confirm account event
 * @param code user code used to confirm account
 * @param userName the user to confirm
 * @returns See {@link IAuthenticationResult}
 */
export declare const OnConfirmAccount: (code: string, userName: string) => Promise<IAuthenticationResult>;
export default OnConfirmAccount;
//# sourceMappingURL=OnConfirmAccount.d.ts.map